Subject: Re: bug#10181: 24.0.92; [wishlist] split `diff-refine-change' in several faces

From: Juri Linkov <[email-masked]>
Date: Sun, 30 Sep 2012 19:38:03 +0300

>> The patch looks OK, please install,
>
> Installed and closed.

I changed the background color of `diff-refine-removed' and
`smerge-refined-removed' from "#ffaaaa" to "#ffbbbb" because
I learned that due to wavelength differences of red and green
colors they are not symmetrical in perception as can be seen
in the small relative shift on this diagram:

http://en.wikipedia.org/wiki/File:CIE_1931_XYZ_Color_Matching_Functions.svg

It is amusing to see how this problem is correctly addressed on
bitbucket.org, but github.com fails to recognize this problem
and still uses "#ffaaaa" instead of "#ffbbbb".

To help resolving this kind of problem I also added a new option
to `list-colors-sort' to sort colors by relative luminance
in the CIE XYZ color space.